## ros-melodic-pacmod-game-control 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pacmod_game_control)

add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roslint
  roscpp
  std_msgs
  sensor_msgs
  pacmod_msgs
  joy
)

catkin_package(CATKIN_DEPENDS
  std_msgs
  sensor_msgs
  pacmod_msgs
  joy
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_executable(pacmod_game_control_node 
  src/pacmod_game_control_node.cpp
  src/startup_checks.cpp
  src/publish_control_board_rev2.cpp
  src/publish_control_board_rev3.cpp
  src/publish_control.cpp
  src/publish_control_factory.cpp
)

add_dependencies(pacmod_game_control_node
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)
target_link_libraries(pacmod_game_control_node
  ${catkin_LIBRARIES}
)

set(ROSLINT_CPP_OPTS "--filter=-build/namespaces,-build/c++11")
roslint_cpp()

install(TARGETS pacmod_game_control_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES README.md
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-pacmod-game-control (3.0.2-1stretch) stretch; urgency=high

  * fix shift command - manual merge due to circleci not communicating correctly
  * fix shift command
  * Contributors: Amruta Mhaske, bjansky

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Mon, 13 Apr 2020 04:00:00 -0000

ros-melodic-pacmod-game-control (3.0.1-1stretch) stretch; urgency=high

  * Merge pull request #68 <https://github.com/astuff/pacmod_game_control/issues/68> from astuff/fix/shift_low_bug
    changed from shift low on button press to shift high on button press
  * Merge pull request #67 <https://github.com/astuff/pacmod_game_control/issues/67> from astuff/feature/removing_enums_and_using_ROS_message__values_instead
    Feature/removing enums and using ros message  values instead
  * Merge pull request #64 <https://github.com/astuff/pacmod_game_control/issues/64> from astuff/freightliner_cascadia
    Adding Freightliner Cascadia DD13 Trucks
  * Merge pull request #65 <https://github.com/astuff/pacmod_game_control/issues/65> from astuff/feature/door_system
    adding DoorSystem
  * Adding JUPITER_SPIRIT Vehicle
  * Merge pull request #61 <https://github.com/astuff/pacmod_game_control/issues/61> from astuff/fix/speed_limit
    Fix/speed limit - clipped steer rate limit
  * Merge pull request #60 <https://github.com/astuff/pacmod_game_control/issues/60> from astuff/maint/ci_remove_lunar
    CI: Removing Lunar build.
  * Merge pull request #59 <https://github.com/astuff/pacmod_game_control/issues/59> from astuff/fix/lexus_G29
    made changes to lexus max steer rotation(vehicle_2) and changes so that G29 steering wheel is functional
  * Merge pull request #58 <https://github.com/astuff/pacmod_game_control/issues/58> from astuff/fix/veh_5_headlights
    Updated veh_5 headlight states to match current firmware
  * Merge pull request #55 <https://github.com/astuff/pacmod_game_control/issues/55> from astuff/ranger
    Polaris Ranger support.
  * CI: Removing Indigo build.
  * Fixed HRI accel command max was limiting to 0.6
  * Contributors: Amruta Mhaske, Benjamin Jansky, Chris, Joshua Whitley, Sam Rustan, Sanaz Fattahalhosseini, Zach Oakes, Mike Lemm, Rinda Gunjala, Sneha Ganesh

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 05 Feb 2020 05:00:00 -0000

ros-melodic-pacmod-game-control (2.3.0-1stretch) stretch; urgency=high

  * Merge pull request #54 <https://github.com/astuff/pacmod_game_control/issues/54> from astuff/maint/hri_remap_part_two
  * A comment explaining the axes
  * Fixed not publishing turn signal command on board rev 2
  * Handle HRI turn signals seperately from the other controllers
  * Merge pull request #53 <https://github.com/astuff/pacmod_game_control/issues/53> from astuff/maint/hri_remap
  * Changed mapping of HRI enable/disable from U/D to R/L
    This fixes some aberrant behavior that we were seeing with
    EMI in the remote system
  * Merge pull request #51 <https://github.com/astuff/pacmod_game_control/issues/51> from astuff/maint/update_url
  * Updating README and adding URLs to package.xml.
  * Merge pull request #48 <https://github.com/astuff/pacmod_game_control/issues/48> from astuff/feature/clear_fault
  * Refactoring of how we're handling the shifter command
    Mostly just to get rid of repeated code, but also I think
    it's significantly more readable this way.
  * When sending clear_overrides, also send clear_faults
    This update is req'd for Lexus 1.1 and later
  * Merge pull request #47 <https://github.com/astuff/pacmod_game_control/issues/47> from astuff/maint/add_veh_6
  * Contributors: Daniel-Stanek, Joshua Whitley, Mike Lemm, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Wed, 12 Dec 2018 05:00:00 -0000

ros-melodic-pacmod-game-control (2.2.0-1stretch) stretch; urgency=high

  * Merge pull request #44 <https://github.com/astuff/pacmod_game_control/issues/44> from astuff/feat/lexus_braking_curve
  * 0.625 and 6.25 are not the same value
  * Added cubic braking curve
  * Merge pull request #43 <https://github.com/astuff/pacmod_game_control/issues/43> from astuff/feat/multiple_button_enable
  * Press start AND select to enable
  * Merge pull request #42 <https://github.com/astuff/pacmod_game_control/issues/42> from astuff/fix/resume_control_after_estop
  * Changing pacmod_enable flag after return form e-stop
  * Contributors: Joshua Whitley, Kyle Rector, Sam Rustan, Zach Oakes

 -- AutonomouStuff Software Development Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 04:00:00 -0000

ros-melodic-pacmod-game-control (2.1.0-1stretch) stretch; urgency=high

  * Removing clone of joystick_drivers from Melodic build.
  * Change required brake command from 50% to 25%
  * Adding brake requirement to change currently published shift command
    Before this commit, a shift command could be issued without the brake being
    depressed. After this commit, the brake must be depressed to 50% before a new
    shift command can be issued via the game control node.
  * Headlights fixed and tested.
  * Formatting and trying to get headlights to latch state.
  * Added state change debouncing for button presses between off state, regular headlights, and high beams.
  * Making headlight and wiper states static.
  * Fixed: horn no longer on same button as hazards
  * Fix headlights and wipers remaining enabled.
    On PACMod3, the wipers and headlights would remain enabled on supported
    vehicles when the disable button was pressed. This change makes sure
    that an additional message with enable = false is published when a
    disable occurs and on any button press thereafter until an enable
    occurs.
  * Adding vehicle 6
  * Only cycle between LOW and HIGH on vehicle_5 headlights.
  * Limiting MAX_ROT_RAD for VEH_5 based on testing.
  * Making accel_scale_val apply to all controllers.
  * Removing need to populate redundant launch file param.


=== debian/control ===
Source: ros-melodic-pacmod-game-control
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Development Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-joy, ros-melodic-pacmod-msgs, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/pacmod_game_control
Standards-Version: 3.9.2

Package: ros-melodic-pacmod-game-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joy, ros-melodic-pacmod-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: ROS Package for controlling the AStuff PACMod with a Joystick
